datacache <- new.env(hash=TRUE, parent=emptyenv())

mogene21stmmentrezg <- function() showQCData("mogene21stmmentrezg", datacache)
mogene21stmmentrezg_dbconn <- function() dbconn(datacache)
mogene21stmmentrezg_dbfile <- function() dbfile(datacache)
mogene21stmmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mogene21stmmentrezg_dbInfo <- function() dbInfo(datacache)

mogene21stmmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mogene21stmmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mogene21stmmentrezg", "chip mogene21stmmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mogene21stmmentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mogene21stmmentrezg_dbconn())
}

